﻿# You can place the script of your game in this file.

init:
    # Declare images below this line, using the image statement.
    # eg. image eileen happy = "eileen_happy.png"
    image bg = "bg.png"

    # Declare characters used by this game.
    $ narrator = Character(None, kind=nvl)
    $ you = Character('You', kind=nvl)
    $ kid = Character('A Kid', kind=nvl)
    $ prof = Character('Professor Haversham', kind=nvl)
    $ amir = Character('Uncle Amir', kind=nvl)
    $ evilpriest = Character('Adom-Ankhenkhamen', kind=nvl)
    $ goodpriest = Character('Adom-Al-Ahmirah', kind=nvl)

    # The game starts here.
label start:
    scene bg

    "It's Halloween night! It's 8 PM, the witching hour, and you know what that means! It's time for that most red-blooded American pastime, trick-or-treating!"
    "You'd love to get your candy on, but you need a costume first! Thankfully, you've recently bought three SUPER SPOOKY masks from the Halloween store down the street. Which one will you wear?"
    nvl clear
    menu:
        "Wear a hairy, scary werewolf mask!":
            jump werewolf
        "Wear a creepy green-skinned mask with one eyeball!":
            jump eyemask
        "Wear an eerie, unsettling clown mask!":
            jump clownmask
                
    label werewolf:
        "You grab the werewolf mask and pull it on over your head. All of a sudden, you feel an eerie prickling sensation as hair starts to sprout all over your body!"
        
        "You are seized by an irresistible urge to run outside! You crash through your second-story window and land on the wet grass outside, howling at the moon!"
        
        you "Arooo! Arooo!"
        
        "You look around, snuffling and snarling, and realize that all the other trick-or-treaters are staring at you, terrified. It makes you feel more powerful than anything in the world, until..."
        
        kid "Hahahaha! Hey, nice pipes, loser! Look at this nerd! What kind of werewolf hasn't hit puberty yet? I bet he doesn't even have hair on his chest, let alone his face!"
        
        "Slowly the rest of the other trick-or-treaters start to laugh, nervously, and then uproariously. Seething with anger, you turn towards the kid who decided to poke a couple holes in your ego."
        
        "Do you want to teach him a lesson? Or will you run away?"
        nvl clear
        menu:
            "Teach the kid a lesson!":
                jump pounce
            "Run away into the woods!":
                jump woods
    label pounce:
        "With a wicked snarl, you pounce on the kid and start to wail on him! You rip and tear his huge costume!"
        "Unfortunately, his father is the chief of police, and soon you feel a prick in your shoulder as he shoots something at you! As you slump to the ground tiredly, you think of how maybe you shouldn't let your impulses get the best of you...otherwise it's..."
        
        centered "{b}THE END{/b}"
        $ renpy.full_restart()
        
        label woods:
        "You run away into the woods, the sound of children's laughter ringing in your ears! You swear revenge on them, one day..."
        
        "And you do. Each Halloween you come back, pouncing on children, ripping and tearing their costumes, and stealing their candy until they're crying messes. First people just consider you a garden-variety bully...but soon you start becoming less of a bully and more of a beast."
        
        "You hunch over more. The mask no longer comes off your face. Hair sprouts from the back of your hands, and soon you've outgrown your jeans and sweatshirt. As you turn into an actual werewolf, you realize that life always imitates art in..."
        
        centered "{b}THE END{/b}"
        $ renpy.full_restart()
        
    label eyemask:
        "You put on the goopy, gross mask and look at yourself in the mirror. Cool! You look just like a hideous monster from the 80s! You grab your plastic pumpkin bucket and go off down your neighborhood street, trick-or-treating along the way."
        "Soon you come to a house that's more dilapidated--a word which here means 'ill-kept' and 'in disrepair'--than the others. You knock on the door and mean old Professor Haversham comes out, sneering at you down the tip of his nose."
        you "Trick or treat!"
        prof "Well, which is it? Are you going to give me a trick...or a treat?"
        nvl clear
        menu:
            "Trick!":
                jump trick
            "Treat!":
                jump treat
    label trick:
        you "Okay, I'll show you a trick!"
        "You pull out your yo-yo and show the professor how you can walk the dog, shoot the moon and go around the world. The Professor is at first unimpressed, but then becomes keenly interested and invites you in for some cookies and apple cider."
        "It turns out that the professor used to be the Yo-Yo Champion of Podunk in 1958, 1959 {i}and{/i} 1960! He has a few lessons to show you himself, and you two quickly bond over a shared love of kinetic projectiles."
        "Eventually the clock strikes nine, and you decide to head home. But you'll never forget the valuable friend you made in..."
        
        centered "{b}THE END{/b}"
        $ renpy.full_restart()
    label treat:
        you "Okay! Here's a pretty cool treat!"
        "You pop out the eyeball of the mask and hold it, dripping, in your hands. The professor is repulsed, but then grins widely, grabs your arm and tugs you into the house."
        "He's a mad scientist! You had no idea a mad scientist was living in your neighborhood, but here he is! His house is full of test tubes and bunsen burners, and he drags you down into a stone dungeon in the basement! Shouldn't there be some kind of a registry for these guys?!"
        "He straps you onto an operating table."
        prof "Hehehehehe! I've been looking for someone like you! I think I'll take that eyeball...and the rest of your organs, while I'm at it!"
        "You struggle and squirm on the operating table. Are you going to give up? Or are you going to fight for your life?!"
        nvl clear
        menu:
            "Just give up. There's no hope!":
                jump giveup
            "Fight for your life!":
                jump fightforlife
                
    label giveup:
        "You give up and let the professor have his way with you. At least he uses lots of anaesthesia. You can barely feel a thing!"
        "What? Did you think this was going to be some kind of a trick ending? You rolled over at the first opportunity! You shouldn't be surprised at the way things turn out in..."
        
        centered "{b}THE END{/b}"
        $ renpy.full_restart()
        
    label fightforlife:
        "You work your yo-yo out of your pocket and, using your expert yo-yo moves that win you all the cool babes at school, let it fly! It knocks over a beaker of acid that melts the straps--and the mad professor's face!"
        "As the professor screams, you scramble off the operating table and run home as fast as your legs can carry you! You tear off the mask and throw it back in the closet, shaking like crazy."
        
        "The next day, you decide to tell everyone what happened--the teachers, the police, your parents, everyone! After you organize a mob with pitchforks and everything, you march down to the professor's house and find everything intact--except for the professor. He's gone, nowhere to be found."
        "Is he hiding in your town? Or in someone else's? No matter where he's gone, it's clear he's still lurking somewhere in..."
        
        centered "{b}THE END{/b}"
        $ renpy.full_restart()
        
    label clownmask:
        "You pull the clown mask on over your face and go downstairs. Unfortunately for your Halloween plans, you run into your odd Uncle Amir, a world-renowned Egyptian archaeologist, who's come over to visit. He claps you on the back and booms:"
        amir "Haha! Oh, nephew! Come on into the garage and see what your Uncle Amir has brought you from Egypt!"
        "Looks like you can't make a choice here. You groan as your uncle leads you into the garage, pointing proudly to two very large, very rectangular crates. One is labeled, in big stenciled, spray-painted letters, 'HIGH PRIEST ADOM-ANKENKHAMEN, HE WHO SLAYS FROM THE DARK.' The other is labeled 'HIGH PRIEST ADOM-AL-AHMIRAH, MAY HIS LIGHT PROTECT THEE.'"
        amir "They're all yours, nephew! You can take and open up one of them as a present. Which one do you want?"
        nvl clear
        menu:
            "HIGH PRIEST ADOM-ANKENKHAMEN, HE WHO SLAYS FROM THE DARK":
                jump evilpriest
            "HIGH PRIEST ADOM-AL-AHMIRAH, MAY HIS LIGHT PROTECT THEE":
                jump goodpriest
    label evilpriest:
        "You pick the one that sounds the most badical. Your uncle chuckles, gives you another clap on the back, and then turns to leave you alone in the garage as you pry the front off the crate."
        "Inside is what may be the most insanely awesome sarcophagus you've ever seen. It's a deep ebony black with gold accents, and the image of a black king cobra encircles the pharaoh's neck. You can't contain your joy as you pry the sarcophagus open, ignoring the placard on the pharaoh's stomach that looks a lot like either a warning or a curse."
        "A foul, black cloud hisses like steam from the sarcophagus as you open it, and a voice booms!"
        evilpriest "{b}Ahhh! I have not felt so rejuvenated in many centuries! Thank you for your foolhardy assistance, child...in return, I offer you a choice! Would you like to become my disciple?{/b}"
        nvl clear
        menu:
            "Become the evil priest's disciple":
                jump disciple
            "Decline politely":
                jump decline
                
    label disciple:
        evilpriest "{b}Ahhh! I thought you would make such a fine choice! I knew you were a person of taste. You and I shall go far together! All I require is...a few mortal souls!{/b}"
        "You decide to become the evil priest's disciple. It's obvious where the first few souls should come from--your family and Uncle Amir make excellent appetizers--but what about the rest?"
        "The stronger Adom-Ankhenkhamen gets, the more souls he needs! Over the course of months, you secretly funnel your friends and neighbors towards his gaping ectoplasmic maw. You do what you have to, but you can't help but think that, one day, he might get greedy enough to send you to..."
        
        centered "{b}THE END{/b}"
        $ renpy.full_restart()
        
    label decline:
        evilpriest "{b}Oh.{/b}"
        "He looks confused. He doesn't seem to be used to rejection."
        evilpriest "{b}I...I refuse to accept this! Bah...I will show you what happens to fools who dare defy my demands!{/b}"
        "The evil priest strains and strains, but the centuries haven't been very good to him, and his huffy, dusty (very dusty) soul manages only a few weak coughs and fizzles."
        "You blink, really not knowing what to make of him. He's certainly not as cool as you thought he was at first. Really, he just seems more...pathetic. And sad."
        "It's awkward for a minute or two, and then you just decide to put the cover back on, nail up the crate, and go out trick-or-treating. Really, it's Halloween, and that's what you wanted to do in the first place. Looks like for Mr. Ankhenkhamen, it's..."
        
        centered "{b}THE END{/b}"
        $ renpy.full_restart()
    label goodpriest:
    "Unlike some people you know, you're not about to doom yourself and everyone else on the planet. You pull open the sarcophagus. At best, you might find a guardian angel, and at worst...well, he's not going to SLAY YOU FROM THE DARK, right?"
    "As the top slides away, a beautiful white light shines from inside of the sarcophagus. It's bright, but not blinding--rather mellow, actually. You feel relaxed and happy as the priest starts to talk to you."
    goodpriest "{i}Ahhh...thank you, child. It's been so long since I've felt the cool rush of earthly air. In return, I shall grant you one wish...{/i}"
    nvl clear
    menu:
        "I want peace on Earth.":
            jump peace
        "I want ice cream to the moon!":
            jump icecream
        "Can I just go out and trick-or-treat?":
            jump trickwish
    label peace:
        "A blissful smile overcomes the priest's face. As he dissolves and the top of the coffin slides back into place, you swear you can hear..."
        "Well...no, you can't hear much of anything. You tap on the sarcophagus, then bang. Nothing!"
        "You start to shout, and then you start to cry. But there's no two ways about it: you've gotten your wish. Now there's peace on Earth...peace and quiet! Looks like you should have thought your wish out a little better in..."
    
    centered "{b}THE END{/b}"
    $ renpy.full_restart()
    
    label icecream:
    goodpriest "{i}I'm...sorry? Could you repeat that?{/i}"
    you "I want...ice cream...to the moon. I want a lot of it. I want so much of it it reaches all the way to the moon."
    goodpriest "{i}I...all right. Okay. Would...would you like that in a cup, or a cone?{/i}"
    menu:
        "Cup!":
            jump cup
        "Cone!":
            jump cone
    label cup:
        you "A cup, please."
        "And it is so. In a flash you're outside, holding a cup of ice cream with SO MANY SCOOPS that it reaches into the stratosphere! And the scoops are of every conceivable flavor, too! Chocolate, vanilla, strawberry, chocolate chip cookie dough, mint chocolate chip, buttercream, wintergreen, vanilla caramel...it's all yours!"
        "This is truly the best ending ever. Congratulations! You should be proud to reach..."
        
        centered "{b}THE END{/b}"
        $ renpy.full_restart()
        
    label cone:
        you "A cone, please."
        "And it is so. In a flash you're outside, holding a cone of ice cream with SO MANY SCOOPS that it reaches into the stratosphere! And the scoops are of every conceivable flavor, too! Chocolate, vanilla, strawberry, chocolate chip cookie dough, mint chocolate chip, buttercream, wintergreen, vanilla caramel...it's all yours!"
        "This is truly the best ending ever. Congratulations! You should be proud to reach..."
        
        centered "{b}THE END{/b}"
        $ renpy.full_restart()
    label trickwish:
        you "Can...can I just go out and trick-or-treat?"
        goodpriest "{i}It is done.{/i}"
        
        "A musty wind picks up in the garage, and whirls and hurls you from head to toe! You feel like you're about to barf when you suddenly find yourself back in your room..."
        jump start
        
        
